﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Uploading Elasticsearch-based Analytic Controls</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Uploading Elasticsearch-based Analytic Controls</h1>
        <p>You can update or create one or more analytics controls from an existing list of Analytic controls. Following sections provides an explanation of the procedures:</p>
        <h2 id="UploadingElasticsearchbasedAnalyticControls-UpdatingexistingESbasedAnalyticControlusingJSONUpdatingexistingElasticsearchbasedAnalyticControlusingJSON">Updating existing Elasticsearch based Analytic Control using JSON</h2>
        <p>If you want to update existing Elasticsearch based analytic controls, you first need to export the control<strong> JSONs</strong> from&#160;<strong>Analytics &gt; Analytics Configuration List (Elastic) &gt; Actions &gt; Export,&#160;</strong>select JSON option.</p>
        <p>After successfully exporting the JSONs, open the JSON file in <strong>Notepad++</strong> application and update the control parameters as required in the JSON file. You can upload the modified or updated control JSON again. If you are updating an existing analytic control, then you will not be able to specify the <strong>Control Suffix,</strong> as you are only updating an existing JSONs. Additionally, you can select<strong>Bulk Update</strong> as <strong>Yes</strong>, if you are updating existing analytic controls.</p>
        <p>To update an existing Elasticsearch based analytic control using JSON, perform the following steps:</p>
        <ol>
            <li>Click <strong>Analytics &gt; Analytics Configuration List</strong>.</li>
            <li>
                <p>Select&#160;the <strong>Version 2</strong>&#160;tab. </p>
            </li>
            <li>To update an analytic control, you can search for control in the search field. You can export the&#160;control using click <strong>Actions &gt; Export &gt; JSON</strong>.</li>
            <li>
                <p class="auto-cursor-target">Update the JSON file with necessary changes such as query, risk, recommendation, category, sub category and save the JSON file.</p>
                <p>Except the field 'ANALYTICSNAME' you can modify other fields in the analytic control.&#160;</p>
            </li>
            <li>Click <strong>Actions &gt; Upload Analytic Control From JSON</strong> option.</li>
            <li>The '<strong>Enter Details for Analytic Control Import</strong>' dialog box is displayed.&#160;Click<strong>Select</strong>&#160;inline with the <strong>Data File</strong> field&#160;and select the updated JSON file that you want to import.&#160;</li>
            <li>Select <strong>Yes</strong> option in the&#160;<strong>Bulk Update</strong>&#160;field&#160;as you are updating the existing analytic control by uploading a JSON file.</li>
            <li>Observe that <strong>Control Suffix</strong>&#160;field becomes non-editable, when you select <strong>Bulk Update</strong> as Yes.</li>
            <li>Under <strong>Application</strong> field, select the endpoint for which you want to update the analytic control and click <strong>Upload</strong>.</li>
        </ol>
        <p>The updated JSON file is uploaded and the analytic control details are updated based on changes made.&#160;You can run the updated analytic control.</p>
        <h2 id="UploadingElasticsearchbasedAnalyticControls-CreatingNewESbasedAnalyticControlusingJSONCreatingNewElasticsearchbasedAnalyticControlusingJSON">Creating New Elasticsearch based Analytic Control using JSON</h2>
        <p>New Elasticsearch based analytic controls can also be created by uploading the JSON files. Create a new JSON file and add control details, for the format of a JSON file, you can try exporting a sample JSON file from an existing analytic control as a template and update it with the parameters as applicable to the new analytic control. Multiple analytic controls in JSON can be separated by a comma (,) after the curly braces (}).&#160;&#160;</p>
        <p>If you are creating a new analytic control, you can also specify a&#160;<strong>Control Suffix</strong>. Select <strong>Bulk Update</strong> as <strong>No</strong>, as you are creating a new analytic control.</p>
        <p>To create a new analytic control using JSON, perform the following steps:</p>
        <ol>
            <li>Click <strong>Analytics &gt; Analytics Configuration List </strong></li>
            <li>Select&#160;Version 2&#160;tab.&#160;A list of existing analytic controls is displayed.</li>
            <li>Click <strong>Actions &gt; Upload Analytic Control From JSON</strong> option.</li>
            <li>The '<strong>Enter Details for Analytic Control Import</strong>' dialog box is displayed.&#160;Click <strong>Select</strong>&#160;inline with the <strong>Data File</strong> field&#160;and select the newly created JSON file that you want to import.&#160;</li>
            <li>Select <strong>No&#160;</strong>option in the&#160;<strong>Bulk Update</strong>&#160;field&#160;asyou are uploading a newly created JSON file.</li>
            <li>Observe that <strong>Control Suffix</strong>&#160;field is editable as you can also add a suffix name to the analytic control.</li>
            <li>Under <strong>Application</strong> field, select the endpoint for which you are creating this Elasticsearch based analytic control and click <strong>Upload</strong>.</li>
        </ol>
        <p>The newly created JSON file is uploaded and the new analytic control is created.&#160;You can run the newly created analytic control from the&#160;<strong>Analytics Configuration List Elastic </strong>page.</p>
    </body>
</html>